/*
 * File:           C:\Analog Devices\123\Design 1_IC_1_PARAM.h
 *
 * Created:        Wednesday, January 24, 2024 7:13:05 PM
 * Description:    Design 1:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2024 Analog Devices, Inc. All rights reserved.
 */
#ifndef __DESIGN_1_IC_1_PARAM_H__
#define __DESIGN_1_IC_1_PARAM_H__


/* Module SafeLoadModule - SafeLoadModule*/
#define MOD_SAFELOADMODULE_COUNT                       11
#define MOD_SAFELOADMODULE_DEVICE                      "IC1"
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_ADDR         24576
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_ADDR         24577
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_ADDR         24578
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_ADDR         24579
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_ADDR         24580
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_MEMORYPAGE   0
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_ADDR       24581
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_ADDR     24582
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_LOWER_MEMORYPAGE 0
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_ADDR     24583
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_UPPER_MEMORYPAGE 0

/* Module Single 1 - Single Volume*/
#define MOD_SINGLE1_COUNT                              2
#define MOD_SINGLE1_DEVICE                             "IC1"
#define MOD_SINGLE1_ALG0_TARGET_ADDR                   21
#define MOD_SINGLE1_ALG0_TARGET_VALUE                  SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_SINGLE1_ALG0_TARGET_TYPE                   SIGMASTUDIOTYPE_8_24
#define MOD_SINGLE1_ALG0_TARGET_MEMORYPAGE             0
#define MOD_SINGLE1_ALG0_SLEW_MODE_ADDR                22
#define MOD_SINGLE1_ALG0_SLEW_MODE_FIXPT               0x0000208A
#define MOD_SINGLE1_ALG0_SLEW_MODE_VALUE               SIGMASTUDIOTYPE_INTEGER_CONVERT(8330)
#define MOD_SINGLE1_ALG0_SLEW_MODE_TYPE                SIGMASTUDIOTYPE_INTEGER
#define MOD_SINGLE1_ALG0_SLEW_MODE_MEMORYPAGE          0

/* Module Nx2-1 - Stereo Switch Nx2*/
#define MOD_NX2_1_COUNT                                1
#define MOD_NX2_1_DEVICE                               "IC1"
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_ADDR       23
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_FIXPT      0x00000000
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_VALUE      SIGMASTUDIOTYPE_INTEGER_CONVERT(0)
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_TYPE       SIGMASTUDIOTYPE_INTEGER
#define MOD_NX2_1_STEREOMUXSIGMA300NS1INDEX_MEMORYPAGE 0

#endif
